  /* $Id$ */
  /*============================================================================*
   |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
   |                             All rights reserved                            |
   *===========================================================================*/

  SET VERIFY OFF
  SET FEEDBACK OFF
  SET SCAN OFF
  WHENEVER OSERROR  EXIT FAILURE ROLLBACK
  WHENEVER SQLERROR EXIT FAILURE ROLLBACK



  DECLARE 

    e_dir_exists EXCEPTION;
    PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

    e_does_not_exists EXCEPTION;
    PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

    result boolean;
    
  BEGIN

    BEGIN

      result := DBMS_XDB.createfolder('/public/xxas/');
      result := DBMS_XDB.createfolder('/public/xxas/emp/');
      result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

    EXCEPTION
      WHEN e_dir_exists THEN
        NULL;
    END;

    
    BEGIN

      DBMS_XDB.DeleteResource('/public/xxas/emp/view/block-diagnostics.xml');

    EXCEPTION
      WHEN e_does_not_exists THEN
        NULL;
    END;

    
    result := DBMS_XDB.createresource('/public/xxas/emp/view/block-diagnostics.xml',
  '<View title="Diagnostics block" defaultFormHandler="xxas_block_pkg.post_block_update">

    <EditFields>

        <TextInput id="BLOCK_TYPE" label="Type of block"/>
        <TextInput id="FUNCTION" label="Linked function"/>
        <TextInput id="OBJECT" label="Block object"/>
        <TextInput id="AVAILABLE_PAGE_KEYS" label="Available page keys"/>
        <TextInput id="OBJECT_ID_RESTRICTION" label="Object Id restriction"/>
        <TextArea id="SECURITY_PREDICATE" label="Security Predicate"/>
        <Poplist id="HAS_ACCESS" label="Has Access" listProvider="LOOKUP_TYPE:YES_NO"/>
        
    </EditFields>

  </View>' ); 
  xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/block-diagnostics.xml');
  END;
  /
  COMMIT;
  EXIT;
